<p-dropdown [options]="books" [(ngModel)]="selectedBook" optionLabel="name"></p-dropdown>

<br/>

<p-autoComplete [(ngModel)]="selectedCountry" [suggestions]="filteredCountries" (completeMethod)="filterCountry($event)" field="name" [minLength]="1"></p-autoComplete>

<br/>

<p-calendar [(ngModel)]="value" dateFormat="dd/mm/yy"></p-calendar>

<br/>

<p-chips [(ngModel)]="values2" separator=","></p-chips>


